# Discount System

You are asked to write a discount system for a beauty saloon, which provides services and sells beauty products.
It offers 3 types of memberships: Premium, Gold and Silver. Premium, gold and silver members receive a discount of 20%, 15%, and 10%,
respectively, for all services provided. Customers without membership receive no discount.
All members receives a flat 10% discount on products purchased (this might change in future).
Your system shall consist of three classes: Customer, Discount and Visit, as shown in the class diagram.
It shall compute the total bill if a customer purchases $x of products and $y of services, for a visit.
